Skip to main content
GET
/
api
/
v1
/
alerts
/
rules
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/alerts/rules
import requests

url = "https://api.staging.qyl.dev/api/v1/alerts/rules"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/alerts/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "name": "<string>",
      "condition_json": "<string>",
      "target_type": "<string>",
      "cooldown_seconds": 123,
      "enabled": true,
      "trigger_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "threshold_json": "<string>",
      "target_filter_json": "<string>",
      "notification_channels_json": "<string>",
      "last_triggered_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Query Parameters

projectId
string

Project ID filter

enabled
boolean

Enabled filter

limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)